//**
*  This file is part of RegCEl.
*
*  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
*
*  RegCEl is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  RegCEl is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
*
**/

CREATE TABLE regist (
    id        INTEGER,
    date      TEXT    CONSTRAINT regist_date_nn_ct NOT NULL,
    time      TEXT    CONSTRAINT regist_time_nn_ct NOT NULL,
    lecti     INTEGER,
    lectf     INTEGER,
    kwh       INTEGER,
    import    REAL    CONSTRAINT regist_import_nn_ct NOT NULL,
    CONSTRAINT regist_pk_ct  PRIMARY KEY(id),
    CONSTRAINT regist_import_chk_ct      CHECK(import>=0.0)
);

