/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/

#include "ostream.h"


/*std::ostream &Model::Domain::operator<<(std::ostream &os, const Category &category)
{
    return os << category._id                        << std::endl
              << category._name.toStdString()        << std::endl
              << category._vatType                   << std::endl
              << category._description.toStdString() << std::endl;
}*/


std::ostream &Model::Domain::operator<<(std::ostream &os, const Regist &regist)
{
    return os << regist._id                      << std::endl
              << regist._date.toString().toStdString()      << std::endl
              << regist._time.toString().toStdString()      << std::endl
              << regist._lecti                   << std::endl
              << regist._lectf                   << std::endl
              << regist._kwh                     << std::endl
              << regist._import                  << std::endl;
}

